unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus;

type
  TfrmMain = class(TForm)
    mnuMain: TMainMenu;
    mnuFile: TMenuItem;
    mnuNew: TMenuItem;
    mnuOpen: TMenuItem;
    mnuSave: TMenuItem;
    mnuSaveAs: TMenuItem;
    mnuLine: TMenuItem;
    mnuQuit: TMenuItem;
    dlgOpen: TOpenDialog;
    dlgSave: TSaveDialog;
    procedure mnuQuitClick(Sender: TObject);
    procedure mnuOpenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure mnuNewClick(Sender: TObject);
    procedure mnuSaveClick(Sender: TObject);
    procedure mnuSaveAsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;
  CitacOken : integer; // za elem popisk typu "Beze jmna 1" atd.

implementation

uses SkladbaEditor;

{$R *.dfm}

procedure TfrmMain.mnuQuitClick(Sender: TObject);
begin
        // ukoncime program
        // pripadne dotazy ohledne ukladani neulozeneho pokladaji deticky
        Close;
end;

procedure TfrmMain.mnuOpenClick(Sender: TObject);
var NoveOkno : TfrmSkladba;
begin
        if dlgOpen.Execute then begin
                // oteveme nov okno
                Application.CreateForm(TfrmSkladba, NoveOkno);
                // nateme notov zpis
                if not NoveOkno.NahrajSkladbu(dlgOpen.FileName) then begin
                        // nepovedlo se nacist?
                        // muze za to uzivatel, vynadame mu
                        Application.MessageBox('Pi natn souboru notovho zpisu dolo k tto chyb: "Soubor skladby vykazuje chyby nebo nejde nast"', 'Velk chyba fatln psychopatick', MB_ICONERROR);
                end;
                // hotovo
        end;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
        CitacOken := 0;
        DecimalSeparator := '.';
end;

procedure TfrmMain.mnuNewClick(Sender: TObject);
var neco : integer;
begin
        Application.CreateForm(TfrmSkladba, neco);
end;

procedure TfrmMain.mnuSaveClick(Sender: TObject);
begin
        Application.MessageBox('Litujeme, toto je asov a funkn omezen "software"', 'Velk chyba fatln psychopatick', MB_ICONERROR);
end;

procedure TfrmMain.mnuSaveAsClick(Sender: TObject);
begin
        Application.MessageBox('Litujeme, toto je asov a funkn omezen "software"', 'Velk chyba fatln psychopatick', MB_ICONERROR);
end;

end.
